FIX::Exception Struct Reference

Base QuickFIX exception type. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::Exception:
[legend]
Collaboration diagram for FIX::Exception:
[legend]

## Public Member Functions

| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

std::string | type
std::string | detail

## Detailed Description

Base QuickFIX exception type.

Definition at line 50 of file Exceptions.h.

## Constructor & Destructor Documentation

## Exception()

FIX::Exception::Exception | ( | const std::string & | t,
|  | const std::string & | d
| ) |  |

inline

Definition at line 69 of file Exceptions.h.

: Exception( "Could not convert field", what ) {}
};

Referenced by FIX::IncorrectTagValue::IncorrectTagValue(), FIX::InvalidTagNumber::InvalidTagNumber(), FIX::NoTagValue::NoTagValue(), FIX::RepeatedTag::RepeatedTag(), FIX::RequiredTagMissing::RequiredTagMissing(), FIX::TagNotDefinedForMessage::TagNotDefinedForMessage(), and FIX::TagOutOfOrder::TagOutOfOrder().

## ~Exception()

FIX::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 73 of file Exceptions.h.

: public Exception

## Member Data Documentation

## detail

std::string FIX::Exception::detail

Definition at line 76 of file Exceptions.h.

## type

std::string FIX::Exception::type

Definition at line 75 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h

FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:69